<?xml version="1.0"  encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns:xalan="http://xml.apache.org/xslt"
>

<!--
	@author 	Peter Heilbronn
	@description 	stylesheet to render MXKS XML files into a browser with it's 					internal XSL engine
	@tested		on IE 6.0 and Mozilla 1.5
	@origin		www.mxks.de
-->

<xsl:import href="../html/htmlhead.xsl"/>
<xsl:import href="excerpt.content.items.xsl"/>
<xsl:import href="excerpt.index.items.xsl"/>
<xsl:import href="excerpt.head.xsl"/>
<xsl:import href="../css/maincss.xsl"/>

<!-- just for compatibility in case the browser is looking for variables -->
<xsl:variable name="itembase">.</xsl:variable>
<xsl:variable name="link2conspect"></xsl:variable>
<xsl:variable name="link2structure"></xsl:variable>
<xsl:variable name="navbarfilepath"></xsl:variable>
<!-- end of compatibility -->

<xsl:template match="/">
	<xsl:apply-templates select="Excerpt|Notice" mode="excerpt" />
</xsl:template>

<xsl:template  match="CommentHead">
<xsl:element name="a"><!-- anchor for structure -->
<xsl:attribute name="name">CHExcerpt<xsl:number count="CommentHead"
format="1." level="any" />
</xsl:attribute>

<table width="100%" style="empty-cells:show;margin:0; padding:0;">
<tr>	<!-- if we have an node inside, this node indent itself -->
	<td width="75%"><xsl:apply-templates>
				<xsl:with-param name="stylus">inside</xsl:with-param>
			</xsl:apply-templates>
	&#160;</td>
	<td style="padding-left:2em; vertical-align:top;">

	<xsl:if test="string-length($link2structure)!=0">
	<xsl:element name="a">
	<xsl:attribute name="href"><!-- link to structure file -->
		<xsl:value-of select="concat($link2structure,'#CHStructure')" />
		<xsl:number count="CommentHead" format="1." level="any" />
	</xsl:attribute>
	<xsl:attribute name="style">text-decoration:none;font-weight:bold
	</xsl:attribute>
	 <xsl:value-of select="concat('[',@title,']')" />
	</xsl:element>
	</xsl:if>

	<xsl:if test="string-length($link2structure)=0">
	<b><xsl:value-of select="concat('[',@title,']')" /></b>
	</xsl:if>

	</td>
</tr>
</table>

</xsl:element>
</xsl:template>

<xsl:template match="Excerpt|Notice" mode="excerpt" >
<html>
	<head>
	<xsl:comment>DO NOT EDIT THIS FILE WAS CREATED WITH excerpt.browser.xsl </xsl:comment>
	<xsl:call-template name="maincss" />
	</head>

<body>
  <xsl:call-template name="excerpt.head" />



	<xsl:apply-templates mode="index" />

	<xsl:apply-templates mode="content" />

</body>

</html>
</xsl:template>
</xsl:stylesheet>



