<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns:xalan="http://xml.apache.org/xslt"
>








<!-- ################################# content section 
#################################                                                




















































       -->
<xsl:template match="Section" mode="content">
<!-- compute the section index number -->
<xsl:variable name="secnumber">
	<!-- relate an fixed prefix is given -->
	<xsl:if test="count(@index)>0" >
		<xsl:value-of select="@index"/>
	</xsl:if>
	<xsl:if test="count(@index)=0" >
		<!-- an optional counting base is given -->
		<xsl:if test="count(@count)>0" >
			<xsl:number count="Section" format="1." level="single" 
value="@count+position()"  />
		</xsl:if>
		<!-- using the normal kind of numbering -->
		<xsl:if test="count(@count)=0" >
			<xsl:number count="Section" format="1." level="single"/>
		</xsl:if>
	</xsl:if>
</xsl:variable>

<xsl:variable name="secnumber.index"><xsl:number count="Section" format="1." 
level="single"/></xsl:variable>
	<hr />
<p>
<xsl:value-of select="concat($secnumber,' ')"/>
<xsl:element name="a">
                <xsl:attribute 
name="href"><xsl:text>#top</xsl:text></xsl:attribute>
		<xsl:attribute name="style">color:black; font-size:1.3em</xsl:attribute>
		<xsl:attribute name="name"><xsl:value-of 
select="$secnumber.index"/></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of 
select="$secnumber.index"/></xsl:attribute>
                <xsl:value-of select="@title"/>
</xsl:element>

</p>
	<xsl:apply-templates>
		<xsl:with-param name="sectionanchor" select="$secnumber.index" />
		<xsl:with-param name="secnumber" select="$secnumber" />
	</xsl:apply-templates>
</xsl:template>

<!-- ################################# Subsection -->
<xsl:template match="Subsection">
	<xsl:param name="sectionanchor" />
	<xsl:param name="secnumber" />
<!-- xsl:variable name="subsecnumber"><xsl:number 
count="Section|Subsection|Subsection" format="1.1.1." 
level="multiple"/></xsl:variable -->
<xsl:variable name="subsecnumber">
	<xsl:if test="count(@index)>0" >
		<xsl:value-of select="@index"/>
	</xsl:if>
	<xsl:if test="count(@index)=0" >
		<!-- relate an fixed prefix is given -->
		<xsl:value-of select="$secnumber" />
		<!-- an optional counting base is given -->
		<xsl:if test="count(@count)>0" >
			<xsl:number count="Subsection" format="1.1.1.1." level="multiple" 
value="@count+position()"  />
		</xsl:if>
		<!-- using the normal kind of numbering -->
		<xsl:if test="count(@count)=0" >
			<xsl:number count="Subsection" format="1.1.1.1." level="multiple"/>
		</xsl:if>
	</xsl:if>
</xsl:variable>

<xsl:variable name="subsecnumber.index"><xsl:number count="Section|Subsection"
format="1.1.1." level="multiple"/></xsl:variable>

<p>
<xsl:value-of select="concat($subsecnumber,' ')"/>
<xsl:element name="a"><!-- link back to the content section, and anchor with 
absolute subsection -->
		<xsl:attribute name="style">color:black; font-size:1.2em</xsl:attribute>
                <xsl:attribute name="href"><xsl:value-of 
select="concat('#',$sectionanchor)"/></xsl:attribute>
		<xsl:attribute name="name"><xsl:value-of 
select="$subsecnumber.index"/></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of 
select="$subsecnumber.index"/></xsl:attribute>
                <xsl:value-of select="@title"/>
</xsl:element>

</p>


<xsl:apply-templates>
	<xsl:with-param name="sectionanchor" select="$subsecnumber.index" />
	<xsl:with-param name="secnumber" select="$secnumber" />
</xsl:apply-templates>

</xsl:template>





<xsl:template match="Abstract" mode="content">
	<xsl:if test="count(Abstract/P)>0 or count(Abstract/p)>0 or 
count(Abstract/cite)>0 or count(Abstract/Cite)>0">
		<hr />
		<div style="color:black; font-size:1.3em">Kurzbeschreibung</div>
		<xsl:apply-templates />
	</xsl:if>
</xsl:template>

















<!-- ################################# Items -->









<xsl:template match="CDot" >
<xsl:text>...</xsl:text>
</xsl:template>




<xsl:template match="CBr" >
<br /><xsl:text>...</xsl:text><br />
</xsl:template>

<xsl:template match="cite" >
<cite>"<xsl:apply-templates />"</cite>
<xsl:if test="count(@page)>0"><xsl:value-of select="concat('(S.',@page,')')" 
/></xsl:if>
</xsl:template>



<xsl:template match="Def" >
	<xsl:param name="stylus" />

<xsl:element name="p">
<xsl:attribute name="style">
	<xsl:if test="$stylus!='inside'" >width:75%;</xsl:if>
</xsl:attribute>

<xsl:element name="a">
	<xsl:attribute name="name"><xsl:value-of select="@title" /></xsl:attribute>
	<u><i><xsl:value-of select="concat('Def: ',@title)" /></i></u>
</xsl:element>
	<blockquote>
		<xsl:apply-templates/>
	</blockquote>
</xsl:element>
</xsl:template>

<xsl:template match="DefProperty" >
	<xsl:param name="stylus" />

<xsl:element name="p">
<xsl:attribute name="style">
	<xsl:if test="$stylus!='inside'" >width:75%;</xsl:if>
</xsl:attribute>

	<xsl:if test="@title !='' ">
		<xsl:value-of select="@title" />
	</xsl:if>
	<blockquote>
		<xsl:apply-templates/>
	</blockquote>
</xsl:element>
</xsl:template>





<!-- COMMENT* -->
<xsl:template  match="Comment">
<xsl:param name="stylus" />

<xsl:element name="p">
<xsl:attribute name="style">
	<xsl:if test="$stylus!='inside'" >width:75%;</xsl:if></xsl:attribute>

<small>
<i>{<xsl:apply-templates />(d.V.)}</i>
</small>
</xsl:element>
</xsl:template>


<xsl:template  match="Conspectus">

</xsl:template>












<xsl:template match="Example" >
	<xsl:param name="stylus" />

<xsl:element name="p">
<xsl:attribute name="style">
	<xsl:if test="$stylus!='inside'" >width:75%;</xsl:if></xsl:attribute>
	<code>
		<xsl:apply-templates>
			<xsl:with-param name="stylus">inside</xsl:with-param>
		</xsl:apply-templates>
	</code>
</xsl:element>
</xsl:template>


















<xsl:template match="Ref">
<!-- xsl:message>
<xsl:value-of select="concat($itembase,)" />
</xsl:message -->

	<xsl:element name="a">
		<xsl:attribute	name="href"><xsl:value-of
select="concat($itembase,'/',@link)"/></xsl:attribute>
	<xsl:if test="count(@title)>0"><xsl:value-of select="@title" /></xsl:if>
	<xsl:apply-templates mode="oko" />
		<!-- xsl:value-of select="@link"/></xsl:attribute -->
	</xsl:element>
</xsl:template>

<xsl:template match="Label">
	<xsl:element name="a">
		<xsl:attribute	name="name"><xsl:value-of select="@name"/></xsl:attribute>
		<xsl:attribute	name="id"><xsl:value-of select="@name"/></xsl:attribute>
		<xsl:apply-templates/>
	</xsl:element>
</xsl:template>




<xsl:template match="block">
	<span style="letter-spacing:0.5em; 
text-transform:uppercase;"><xsl:apply-templates select="text()" mode="oto" 
/></span>
</xsl:template>





<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!-- Footnote in CiteCatalogMode -->
<xsl:template match="Footnote[@class='auto']" >
<xsl:variable name="footref">
	<xsl:number count="//Cite[count(@cref)>0]|//Footnote[count(@cref)>0]"
format="1" level="any" />
</xsl:variable>

	<xsl:element name="a">
			<xsl:attribute name="style">
				font-size:0.5em; vertical-align:top; text-decoration:none;
				color:blue;
			</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="concat('#footref',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="concat('footrefback',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="id">
				<xsl:value-of select="concat('footrefback',$footref)" />
			</xsl:attribute>
			<xsl:value-of select="concat('*',$footref,' ')" />
	</xsl:element>
</xsl:template>




<xsl:template match="Cite" >
	<xsl:param name="stylus" />

<!-- in case we have an empty one, we just create a footnote link -->
<xsl:if test="count(*)+count(text())=0">
<xsl:variable name="footref">
	<xsl:number count="//Cite[count(@cref)>0]|//Footnote[@class='auto']"
format="1" level="any" />
</xsl:variable>

	<xsl:element name="a">
			<xsl:attribute name="style">
				font-size:0.5em; vertical-align:top; text-decoration:none;
				color:blue;
			</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="concat('#footref',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="concat('footrefback',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="id">
				<xsl:value-of select="concat('footrefback',$footref)" />
			</xsl:attribute>
			<xsl:value-of select="concat('*',$footref,' ')" />
	</xsl:element>
</xsl:if>

<!-- we have an content -->
<xsl:if test="count(*)+count(text())>0">
<xsl:element name="div">
<xsl:attribute name="style">margin:1em; <xsl:if
test="$stylus!='inside'">width:75%;</xsl:if></xsl:attribute>

<!-- this is the main form of cite ############################# -->
<!--  style="color:blue;font-size:0.9em;font-style:normal" -->
<cite class="cite">
&quot;<xsl:apply-templates><xsl:with-param
name="stylus">inside</xsl:with-param></xsl:apply-templates>&quot;
</cite>
<!-- emphasing ? -->
<xsl:if test="count(@em)>0">
	<xsl:value-of select="concat('[Herv. v. ',@em,']')" />
</xsl:if>



<!-- working with cite catalog-->
<xsl:if test="count(@cref)>0">

<!-- append a short cut -->
<xsl:if test="count(@page)=0">
<xsl:value-of select="concat('(',@cref,')')" />
</xsl:if>
<xsl:if test="count(@page)>0">
<xsl:value-of select="concat('(',@cref,':',@page,')')" />
</xsl:if>

<!-- append a footnote reference -->
<xsl:variable name="cid">
	<xsl:value-of select="@cref" />
</xsl:variable>


<xsl:variable name="footref">
	<xsl:number count="//Cite[count(@cref)>0]|//Footnote[@class='auto']"
format="1" level="any" />
</xsl:variable>

	<xsl:element name="a">
			<xsl:attribute name="style">
				font-size:0.5em; vertical-align:top; text-decoration:none;
				color:blue;
			</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="concat('#footref',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="concat('footrefback',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="id">
				<xsl:value-of select="concat('footrefback',$footref)" />
			</xsl:attribute>
			<xsl:value-of select="concat('*',$footref,' ')" />
	</xsl:element>
</xsl:if>




<!-- working without cite catalog -->
<!-- create hint of source and page  -->
<xsl:if test="(count(@page)>0 or count(@src)>0 or count(@footnote)>0) and
count(@cref)=0">
	<xsl:text> (</xsl:text><xsl:value-of select="@src"/>
	   <xsl:if test="count(@page)>0">
		<xsl:if test="count(@src)>0"><xsl:text>, </xsl:text></xsl:if>
		<xsl:value-of select="concat('S. ',@page)"/>
	   </xsl:if>
	<xsl:text>)</xsl:text>

	<!-- create the link to the footnote -->
	<xsl:if test="count(@footnote)>0">
		<xsl:element name="a">
			<xsl:attribute name="style">font-size:0.5em; vertical-align:top;
text-decoration:none;color:blue;</xsl:attribute>
			<xsl:attribute name="href"><xsl:value-of
select="concat('#footnote',@footnote)" /></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of
select="concat('footback',@footnote)" /></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="concat('footback',@footnote)"
/></xsl:attribute>
			<xsl:value-of select="concat('*',@footnote,' ')" />
		</xsl:element>
	</xsl:if>

</xsl:if>
</xsl:element>



</xsl:if>
</xsl:template>




















<xsl:template match="CiteCatalogRef" >
<!-- on strict style for each Cite one Footnote -->
<xsl:if test="@style='strict'">
	<xsl:apply-templates select="//Cite[count(@cref)>0]|//Footnote[@class='auto']"
mode="catalog" />
</xsl:if>

<!-- create just the Catalog itself -->
<xsl:if test="@style!='strict'">
	<xsl:apply-templates select="//CiteCatalog/CiteCatalogItem" />
</xsl:if>

</xsl:template>





<xsl:template match="CiteCatalog" >

</xsl:template>


<xsl:template match="CiteCatalogItem" >
<xsl:variable name="cid" select="@cid" />

	<xsl:for-each select="Abstract">
	<div>
		<xsl:call-template name="CatalogAbstract">
			<xsl:with-param name="cid">
				<xsl:value-of select="$cid" />
			</xsl:with-param>
		</xsl:call-template>
	</div>
	</xsl:for-each>

</xsl:template>









<!--
	for each Cite with catalog reference we create the footnote
	in strict mode
-->
<xsl:template match="Cite[count(@cref)>0]|Footnote[@class='auto']"
mode="catalog" >

<xsl:variable name="page">
	<xsl:value-of select="@page" />
</xsl:variable>

<xsl:variable name="cid">
	<xsl:value-of select="@cref" />
</xsl:variable>

<!-- a.a.O. or full description? -->
<xsl:variable name="large">
	<xsl:if test="count(preceding::Cite[ $cid=@cref]|
	preceding::Footnote[ $cid=@cref] )">large
</xsl:if>
</xsl:variable>

<xsl:variable name="footref">
	<xsl:number count="//Cite[count(@cref)>0]|//Footnote[count(@cref)>0]"
format="1" level="any" />
</xsl:variable>

<div>
<!-- create the back link into the document to the Cite referenced from -->
<xsl:element name="a">
			<xsl:attribute name="style">
				font-size:0.5em; vertical-align:top; text-decoration:none;
				color:blue;
			</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="concat('#footrefback',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="concat('footref',$footref)" />
			</xsl:attribute>
			<xsl:attribute name="id">
				<xsl:value-of select="concat('footref',$footref)" />
			</xsl:attribute>
			<xsl:value-of select="concat(' ',$footref,' ')" />
</xsl:element>

<xsl:if test="string-length($large)=0">
	<xsl:element name="a">
		<xsl:attribute name="name">
		 <xsl:value-of select="$cid" />
		</xsl:attribute>
		<xsl:attribute name="id">
		 <xsl:value-of select="$cid" />
		</xsl:attribute>
	</xsl:element>
</xsl:if>
<small>
	<xsl:for-each select="//CiteCatalog/CiteCatalogItem[@cid=$cid]/Abstract">
	<xsl:if test="string-length($large)>0">
		<xsl:call-template name="CatalogAbstractShort">
			<xsl:with-param name="page">
				<xsl:value-of select="$page" />
			</xsl:with-param>
			<xsl:with-param name="cid">
				<xsl:value-of select="$cid" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:if>
	<xsl:if test="string-length($large)=0">
		<xsl:call-template name="CatalogAbstract">
			<xsl:with-param name="page">
				<xsl:value-of select="$page" />
			</xsl:with-param>
			<xsl:with-param name="cid">
				<xsl:value-of select="$cid" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:if>

	</xsl:for-each>
</small>

<xsl:if test="name(.)='Footnote' and (count(*)+count(text()))>0" >
	<div 
style="padding-left:3em;padding-top:0.5em;padding-bottom:1em;font-size:0.5em">
	<xsl:apply-templates />
	</div>
</xsl:if>

</div>
</xsl:template>


<!--
	create the footnote content may be on the end of document on

-->
<xsl:template name="CatalogAbstractShort">
	<xsl:param name="page" />
	<xsl:param name="cid" />

<xsl:value-of select="@authorsfirst" />
<xsl:value-of select="concat(' ',@author)" />
<xsl:if test="count(@coauthor)">
, <xsl:value-of select="@coauthor" />
</xsl:if>,
<xsl:element name="a">
		<xsl:attribute name="href">
		 <xsl:value-of select="concat('#',$cid)" />
		</xsl:attribute>
		<xsl:attribute name="style">
		 text-decoration:none;color:blue;
		</xsl:attribute>
	a.a.O
</xsl:element>
<xsl:if test="string-length($page)>0">
	<xsl:value-of select="concat(', S.',$page)" />
</xsl:if>
<xsl:value-of select="concat('; [',$cid,']')" />
</xsl:template>






<xsl:template name="CatalogAbstract">
	<xsl:param name="page" />
	<xsl:param name="cid" />

<b><xsl:value-of select="@authorsfirst" />
<xsl:value-of select="concat(' ',@author)" /></b>
<xsl:if test="count(@coauthor)">
, <b><xsl:value-of select="@coauthor" /></b>
</xsl:if>

'<xsl:value-of select="@title" />
<xsl:if test="count(@subtitle)>0">
- <xsl:value-of select="@subtitle" />
</xsl:if>',
<xsl:if test="count(@volume)>0">
<xsl:value-of select="@volume" />,
</xsl:if>
<xsl:if test="count(@edition)>0">
<xsl:value-of select="@edition" />,
</xsl:if>
<xsl:if test="count(@publisher)>0">
	<xsl:value-of select="@publisher" />,
</xsl:if>

<xsl:if test="count(@location)>0">
	<xsl:value-of select="@location" />,
</xsl:if>
<xsl:if test="count(@location)=0">
o.O.,
</xsl:if>
<xsl:if test="count(@date)>0">
	<xsl:value-of select="@date" />
</xsl:if>
<xsl:if test="count(@date)=0">
o.J.
</xsl:if>
<xsl:if test="count(@origin)>0">
	<xsl:value-of select="concat(' (',@origin,') ')" />
</xsl:if>
<xsl:if test="count(@isbn)>0">
,	<xsl:value-of select="concat('ISBN ',@isbn)" />
</xsl:if>

<xsl:if test="string-length($page)>0">
	<xsl:value-of select="concat(', S.',$page)" />
</xsl:if>
<xsl:value-of select="concat('; [',$cid,'] ')" />
<!-- get optional info -->
<xsl:if test="count(*)>0">
	<xsl:apply-templates />
</xsl:if>

</xsl:template>
















<xsl:template match="Footnote" >
	<xsl:param name="stylus" />

<xsl:if test="@class='ref'">
	<xsl:variable name="footnumber">
		<xsl:if test="count(@number)=0">
			<xsl:number count="Footnote[count(@number)=0 and @class='ref']" format="1" 
level="any" />_</xsl:if>
		<xsl:if test="count(@number)>0">
			<xsl:value-of select="@number" /></xsl:if>
        </xsl:variable>

	<xsl:apply-templates/>
	<xsl:element name="a">
		<xsl:attribute name="name"><xsl:value-of 
select="concat('footback',$footnumber)" /></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of select="concat('footback',$footnumber)" 


















/></xsl:attribute>
		<xsl:attribute name="style">font-size:0.7em; vertical-align:top; 
text-decoration:none; color:blue; font-weight:bold;</xsl:attribute>
		<xsl:attribute name="href"><xsl:value-of 
select="concat('#footnote',$footnumber)" /></xsl:attribute>
		<xsl:value-of select="concat('*',$footnumber)" />
	</xsl:element>
	<xsl:text> </xsl:text>
</xsl:if>
<xsl:if test="@class='noref'">
	<xsl:variable name="footnumber"><!-- canonical counting -->
		<xsl:if test="count(@number)=0">
			<xsl:number count="Footnote[count(@number)=0 and @class='noref']" format="1"
level="any" />_</xsl:if>
		<xsl:if test="count(@number)>0">
			<xsl:value-of select="@number" /></xsl:if>
        </xsl:variable>

<xsl:element name="div">
	<xsl:attribute name="style"><xsl:if test="$stylus!='inside'"> 
width:75%;</xsl:if></xsl:attribute>
	<xsl:element name="a">
		<xsl:attribute name="href"><xsl:value-of 
select="concat('#footback',$footnumber)" /></xsl:attribute>
		<xsl:attribute name="name"><xsl:value-of 
select="concat('footnote',$footnumber)" /></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of select="concat('footnote',$footnumber)" 








/></xsl:attribute>
		<xsl:attribute name="style">font-size:0.7em; vertical-align:top;
text-decoration:none; color:blue</xsl:attribute>
		<xsl:value-of select="concat(' *',$footnumber,' ')" />
	</xsl:element>
	<div style="margin-top:0cm;  padding-left:0.5cm; font-size:0.7em; ">
		<xsl:apply-templates/>
	</div>
</xsl:element>
</xsl:if>
</xsl:template>



<!-- block oriented styles -->

<xsl:template match="P|p">
	<xsl:param name="stylus" />
	<!-- xsl:if test="$stylus='inside'">
	<xsl:message><xsl:value-of select="'#####################################'" 
/></xsl:message>
        </xsl:if -->
<xsl:element name="div">
<xsl:attribute name="style">
	<xsl:if test="$stylus!='inside'" >width:75%;</xsl:if> margin:1em; 
</xsl:attribute>
		<xsl:apply-templates>
			<xsl:with-param name="stylus">inside</xsl:with-param>
		</xsl:apply-templates>
	</xsl:element>
</xsl:template>

<xsl:template match="Pagefoot">
<p>
<hr />
 <xsl:apply-templates />
</p>
</xsl:template>

<xsl:template match="PP">
<p>
 <xsl:apply-templates />
</p>
</xsl:template>

<xsl:template match="Box">
	<xsl:param name="stylus" />

<xsl:element name="div">
<xsl:attribute name="style"><!-- xsl:if test="$stylus!='inside'"
>width:75%;</xsl:if --> margin:1em;<xsl:value-of select="@style"
/></xsl:attribute>
		<xsl:apply-templates />
			<!-- xsl:with-param name="stylus">inside</xsl:with-param>
		</xsl:apply-templates -->
	</xsl:element>
</xsl:template>

<xsl:template match="CardinalPoint">
	<xsl:param name="stylus" />

<xsl:element name="div">
<xsl:attribute name="style">border-style:solid;border-color:red;
margin:1em;<xsl:value-of select="@style" /></xsl:attribute>
		<xsl:apply-templates />
			<!-- xsl:with-param name="stylus">inside</xsl:with-param>
		</xsl:apply-templates -->
	</xsl:element>
</xsl:template>

<xsl:template match="Page">
	<xsl:if test="count(@number)>0">
	<xsl:choose>
	<xsl:when test="name(..)='Cite'">
		<span style="text-align:center; margin-bottom:0.2em; margin-top:0.2em; 
padding:0; ">
		<xsl:element name="a">
			<xsl:attribute name="name"><xsl:value-of 
select="concat('page',@number)"/></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of 
select="concat('page',@number)"/></xsl:attribute>
			<xsl:attribute name="style">font-size:0.8em; color:black; 
font-style:normal;</xsl:attribute>

			<xsl:value-of select="concat('[',@number,']')"/>
		</xsl:element>
		</span>
	</xsl:when>
	<xsl:otherwise>
		<p style="text-align:center; margin-bottom:0.2em; margin-top:0.2em; padding:0; 


width:75%;">
		<xsl:element name="a">
			<xsl:attribute name="name"><xsl:value-of 
select="concat('page',@number)"/></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of
select="concat('page',@number)"/></xsl:attribute>
			<xsl:attribute name="style">font-size:0.8em; color:black; 
font-style:normal;</xsl:attribute>
			<xsl:value-of select="concat('-',@number,'-')"/>
		</xsl:element>
		</p>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:if>
</xsl:template>






<!-- ################################# construct the HTML nodes in result tree 
-->
<xsl:template match="*">
  <xsl:element name="{name()}">
    <xsl:for-each select="@*">
      <xsl:attribute name="{name()}">
        <xsl:value-of select="." />
      </xsl:attribute>
    </xsl:for-each>
    <xsl:apply-templates select="*|text()" />
  </xsl:element>
</xsl:template>


</xsl:stylesheet>



