<?xml version="1.0" encoding="ISO-8859-1" ?>

<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
<xsl:output method="html" omit-xml-declaration="yes"  indent="yes"
encoding="iso-8859-1"/>

<xsl:param name="navbarfile" /><!-- this parameter comes from the ant call -->
<xsl:param name="navgroup" />
<xsl:param name="src.home" />
<!--
        @author                Peter Heibronn
        @description           this style sheet makes an index html file
        @param                 navbarfile  the name of the xml description file
				of the navigation bar
-->


<xsl:template match="/Index">
<xsl:variable name="indexbase" select="@base" />

<html>

  <head>
<!-- file wide css definitions -->
<xsl:element name="style">
<xsl:attribute name="type">text/css</xsl:attribute>
<xsl:comment>
	a {text-decoration:none; }
	a:link { color:blue; }
	a:visited { color:blue; }
	body { font-family:verdana,helvetica,arial,sans-serif; }
</xsl:comment>
</xsl:element>
  </head>

  <body bgcolor="F0E68C">
  	<xsl:comment>DO NOT EDIT, THIS FILE WAS CREATED WITH excerpt.index.xsl.
</xsl:comment>

	<xsl:element name="a">
		<xsl:attribute name="name">top</xsl:attribute>
		<xsl:attribute name="id">top</xsl:attribute>
	</xsl:element>

        <hr noshade="noshade" style="border:1px solid black; height:1px;" />
        <table>
                <tr>
                        <td onmouseout="javascript:hide(2)"
			    onmouseover="javascript:paint(2)"><!-- dirty but ok -->
                            <xsl:if test="count(Abstract/@description)>0">
                                <xsl:value-of
select="Abstract/@description|Abstract/text()" />
                            </xsl:if>
                            <xsl:if test="count(Abstract/@description)=0">
                                <xsl:apply-templates
select="Abstract/*|Abstract/text()" />
                            </xsl:if>
                        </td>
                </tr>
        </table>

	<xsl:if test="count(p|P)>0">
        <hr noshade="noshade" style="border:1px solid black; height:1px;" />
	<xsl:apply-templates select="p|P" mode="oto" />
	</xsl:if>

	<hr noshade="noshade" style="border:1px solid black; height:1px;" />
	<xsl:apply-templates select="IndexGroup|IndexGroupRef">
		<xsl:with-param name="indexbase" select="$indexbase" />
		<xsl:with-param name="level" select="'first'" />
	</xsl:apply-templates>
  </body>

</html>
</xsl:template>


<!-- xsl:template match="IndexGroup" mode="index">
       <xsl:number count="IndexGroup" format="1. " level="single"/>

        <xsl:element name="a">
                <xsl:attribute name="href"><xsl:text>#</xsl:text><xsl:value-of
select="@title"/></xsl:attribute>
                <xsl:value-of select="@title"/>
                <br />
        </xsl:element>

</xsl:template -->

<xsl:template match="Abstract">
	<xsl:if test="count(Abstract)>0">
		<xsl:apply-templates />
	</xsl:if>
</xsl:template>












<xsl:template match="IndexGroup">
<xsl:param name="indexbase" />
<xsl:param name="level" />

<!-- create the IndexGroup top line whith an top link and optional extern link
or anchor
	the top link is just in case of top level groups
-->
<xsl:variable name="XXXX">
<xsl:value-of select="@link" />
<xsl:value-of select="substring-after(@link,'://')" />
</xsl:variable>


<table><tr><td>
<xsl:if test="$level='first'">
	<xsl:element name="a">
		<xsl:attribute name="style">text-decoration:none; color:blue; </xsl:attribute>
        	<xsl:attribute name="href"><xsl:text>#top</xsl:text></xsl:attribute>
        ^</xsl:element>
</xsl:if>
</td>

<xsl:variable name="thumb">
	<xsl:for-each select="DocInfo[@name='thumb']">
		<xsl:value-of select="@dest" />
	</xsl:for-each>
</xsl:variable>

	<xsl:for-each select="DocInfo[@name='label']">
	<td>
		<xsl:element name="a">
		<xsl:attribute name="href">
			 <xsl:value-of select="concat($indexbase,'/',@dest)" />
		</xsl:attribute>
		<xsl:element name="img">
			<xsl:attribute name="src">
			 <xsl:if test="string-length($thumb)>0">
			   <xsl:value-of select="concat($indexbase,'/',$thumb)" />
			 </xsl:if>
			 <xsl:if test="string-length($thumb)=0">
			  <xsl:value-of select="concat($indexbase,'/',@dest)" />
			 </xsl:if>
			</xsl:attribute>
			<xsl:attribute name="border">1</xsl:attribute>
			<xsl:attribute name="width">40</xsl:attribute>
			<xsl:attribute name="heigh">45</xsl:attribute>
			<xsl:attribute name="alt">label</xsl:attribute>
			<xsl:attribute name="style">vertical-align:middle</xsl:attribute>
		</xsl:element>
		</xsl:element>
	</td>
	</xsl:for-each>




<td>
<!-- create the anchor of this Group -->
<xsl:element name="a">
                <xsl:attribute name="name"><xsl:value-of
select="@title"/></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of select="@title"/></xsl:attribute>
		<xsl:attribute name="style">margin:0.7em</xsl:attribute>


<!-- we have a link ? to create -->
		<xsl:if test="count(@link)>0">
                        <xsl:attribute	name="href">
<!-- which kind of link is it -->
				<!-- external link over a protocol PROTO://ADDR-->
				<xsl:if test="string-length(substring-after(@link,'://'))>0">
					<xsl:value-of select="@link"/>
				</xsl:if>
				<!-- internal link with relative address path -->
				<xsl:if test="
				string-length(substring-after(@link,'://'))=0">
					<xsl:value-of select="concat($indexbase,'/',@link)"/>
				</xsl:if>
			</xsl:attribute>
                </xsl:if>
		<xsl:if test="count(@anchor)>0" >
			<xsl:attribute name="name"><xsl:value-of select="@anchor"/></xsl:attribute>
			<xsl:attribute name="id"><xsl:value-of select="@anchor"/></xsl:attribute>
		</xsl:if>
		<!-- xsl:number count="IndexGroup" format="1. " level="single"/ -->
		<xsl:if test="$level='first'">
                	<div style="margin-top:0.8em; font-size:1.5em;
font-weight:bold; text-decoration:underline"><xsl:value-of
select="@title"/></div>
		</xsl:if>
		<xsl:if test="$level!='first'">
			<div style="font-size:1.2em; font-weight:bold;
text-decoration:underline"><xsl:value-of select="@title"/></div>
		</xsl:if>
</xsl:element>
</td></tr></table>


<!-- create several descriptions -->
<xsl:if test="count(p|P)>0">
	<blockquote style="margin-top:0em; margin-bottom:2em; border-left-width:1px;
border-left-color:black; border-left-style:solid; padding:0.3em;">
	<xsl:apply-templates select="P/*|P/text()|p/*|p/text()" mode="oto"
/></blockquote>
</xsl:if>

<xsl:if test="count(@description)>0">
        <blockquote style="margin-top:0em; margin-bottom:2em;
border-left-width:1px; border-left-color:black; border-left-style:solid;
padding:0.3em;"><em><xsl:value-of select="@description"/></em></blockquote>
</xsl:if>
<xsl:if test="count(IndexItem)>0 or count(IndexGroup)>0 or 
count(IndexGroupRef)>0">
        <blockquote>
                <xsl:apply-templates select="IndexItem">
				<!-- xsl:sort select="Abstract/@author" / -->
				<xsl:with-param name="indexbase" select="$indexbase" />
		</xsl:apply-templates>

                <xsl:apply-templates select="IndexGroup|IndexGroupRef">
				<!-- xsl:sort select="@title" / -->
				<xsl:with-param name="indexbase" select="$indexbase" />
		</xsl:apply-templates>

        </blockquote>
</xsl:if>
<xsl:if test="$level='first'">
	<hr noshade="noshade" style="border:1px solid black; height:1px;" />
</xsl:if>
</xsl:template>









<!-- xsl:template match="IndexGroupRef">

	<xsl:variable name="grp" select="concat($src.home,@src)" />
	<xsl:variable name="title" select="@title" />
<xsl:variable name="site-base" select="concat(document($grp)/Index/@base,'/')"
/>


<xsl:if test="@mode='copy'">
	<xsl:for-each select="document($grp)//IndexGroup[@title=$title]">
		<xsl:apply-templates select=".">
			<xsl:with-param name="indexbase" select="$site-base" />
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:if>


<xsl:if test="@mode='merge'">

<xsl:message>#####IndexGroupRef######<xsl:value-of select="@title"
/></xsl:message>

	<xsl:for-each
select="document($grp)//IndexGroup[@title=$title]">

		<xsl:apply-templates select="IndexItem|IndexGroup" >
			<xsl:with-param name="indexbase" select="$site-base" />
			<xsl:with-param name="level" select="'deep'" />
		</xsl:apply-templates>
	</xsl:for-each>
</xsl:if>
</xsl:template -->














<xsl:template match="IndexItem">
  <xsl:param name="indexbase" />
  <xsl:param name="destination" select="concat($indexbase,'/',@dest)" />


  <xsl:element name="div">
  	<!-- the style decide the drawing mode -->
	<xsl:attribute name="style">
	<xsl:choose>
		<xsl:when test="@style='main'">
		border-width:2px; border-color:black; border-style:solid;
		margin:3px; padding:3px;
		</xsl:when>
		<xsl:when test="@style='actual'">
		border-width:2px; border-color:red;
		border-style:solid; margin:3px; padding:3px;
		</xsl:when>
		<xsl:otherwise>
		border-width:1px; border-color:grey;
		border-style:solid; margin:3px; padding:3px;
		</xsl:otherwise>
	</xsl:choose>
	</xsl:attribute>
<table>

<!-- xsl:if test="@style='actual'">
	<tr>
		<xsl:variable name="srcpath"  select="concat($src.home,@src)" />
		<td style="color:red; font-style:italic;font-weight:bold">
&gt;&gt;&gt; Aktuell in Bearbeitung <xsl:value-of 
select="document($srcpath)/Excerpt/Abstract/@date"
/><br 

/>
		</td>
	</tr>
</xsl:if -->

<!-- read an optional thumb picture -->
<xsl:variable name="thumb">
	<xsl:for-each select="DocInfo[@name='thumb']">
		<xsl:value-of select="@dest" />
	</xsl:for-each>
</xsl:variable>

<tr>
<!-- create the thumb + label picture -->
	<xsl:for-each select="DocInfo[@name='label']">
<td>
	<xsl:element name="a">
		<xsl:attribute name="href">
			 <xsl:value-of select="concat($indexbase,'/',@dest)" />
		</xsl:attribute>
		<xsl:element name="img">
			<xsl:attribute name="src">
			 <xsl:if test="string-length($thumb)>0">
			   <xsl:value-of select="concat($indexbase,'/',$thumb)" />
			 </xsl:if>
			 <xsl:if test="string-length($thumb)=0">
			  <xsl:value-of select="concat($indexbase,'/',@dest)" />
			 </xsl:if>
			</xsl:attribute>
			<xsl:attribute name="border">1</xsl:attribute>
			<xsl:attribute name="width">40</xsl:attribute>
			<xsl:attribute name="heigh">45</xsl:attribute>
			<xsl:attribute name="alt">label</xsl:attribute>
			<xsl:attribute name="style">vertical-align:middle</xsl:attribute>
		</xsl:element>
	</xsl:element>
</td>
	</xsl:for-each>
<td>
<!-- drawing of the Abstract -->
	<!-- the Abstract is in the IndexItem itself -->
		<xsl:for-each select="Abstract">
			<xsl:call-template name="IndexItemAbstract">
			<xsl:with-param name="destination" select="$destination"/>
			</xsl:call-template>

		</xsl:for-each>
</td>
</tr>
</table>
  </xsl:element>


</xsl:template>












<xsl:template name="IndexItemAbstract">
  <xsl:param name="destination" />

<!--xsl:message><xsl:value-of select="concat('param:',$destination)"
/></xsl:message-->

  <xsl:text>&#9830;</xsl:text>
  <xsl:if test="count(@author)>0 or count(@authorsfirst)>0" >
	<b>
	<xsl:if test="count(@authorsfirst)>0"><xsl:value-of
select="concat(@authorsfirst,' ')" /></xsl:if>
        <xsl:value-of select="concat(@author,' : ')" />
	</b>
  </xsl:if>

<!-- title -->
  <xsl:element name="a">
        <xsl:attribute name="href"><xsl:value-of
select="$destination"/></xsl:attribute>
        <xsl:value-of select="concat('&quot;',@title,'&quot;')" />
  </xsl:element>


<!-- subtitle -->
  <xsl:if test="count(@subtitle)>0">
	<blockquote style="font-size:0.8em">
	<xsl:value-of select="concat('- ',@subtitle,' -')" />
	</blockquote>
  </xsl:if>

  <xsl:text>  </xsl:text>

  <xsl:if test="count(@publisher)>0 or count(@date)">
        <xsl:value-of select="concat(' ( ',@publisher,' ',@date,' ) ')" />
  </xsl:if>

<!-- description -->
   <xsl:if test="count(@description)>0">
  	<blockquote>
        <xsl:value-of select="@description"/>
  	</blockquote>
  </xsl:if>

  <xsl:if test="count(@origin)>0">
  <xsl:element name="a">
        <xsl:attribute name="href"><xsl:value-of select="@origin"
/></xsl:attribute>
        original
  </xsl:element>
  <xsl:text>  </xsl:text>
  </xsl:if>

  <xsl:if test="count(@state)>0">
        <em><xsl:value-of select="concat(' ',@state)" /></em>
  </xsl:if>

  <xsl:if test="count(@storage)>0">
        <small><xsl:value-of select="concat(' ',@storage)" /></small>
  </xsl:if>

  <xsl:if test="count(text()|p|cite)>0  "><!-- and
not(count(child::*[name()='Abstract'])>0) -->
  <blockquote thema="1">
	<xsl:apply-templates  mode="oto" />
  </blockquote>
  </xsl:if>

</xsl:template>

<!-- ################################# construct the HTML nodes in result tree
-->
<xsl:template match="Abstract" mode="oto">
<!-- dummy to delete the Abstracts -->
</xsl:template>

<xsl:template match="Ref" mode="oto">

<xsl:element name="a">
<xsl:attribute name="href"><xsl:value-of select="concat(/Index/@base,'/',@link)"
/></xsl:attribute>
	<xsl:if test="count(@title)>0"><xsl:value-of select="@title" /></xsl:if>
	<xsl:apply-templates mode="oko" />
</xsl:element>

</xsl:template>

<xsl:template match="*" mode="oto">
<!-- xsl:message><xsl:value-of select="concat('##### oto:',name())"
/></xsl:message-->
  <xsl:element name="{name()}">
    <xsl:for-each select="@*">
      <xsl:attribute name="{name()}">
        <xsl:value-of select="." />
      </xsl:attribute>
    </xsl:for-each>
    <xsl:apply-templates select="*|text()" mode="oto" />
  </xsl:element>
</xsl:template>


</xsl:stylesheet>

